os:
  - linux
  - osx

osx_image: xcode7.2

language:
  - cpp

compiler:
  - gcc

before_install:
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo bash -c "echo 'deb http://lgp203.free.fr/ubuntu quantal universe' >> /etc/apt/sources.list.d/lgp203.free.fr.source.list"; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo apt-get update; fi

install:
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo apt-get install --force-yes make premake4; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo apt-get install --force-yes -qq gcc-4.9 g++-4.9; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.9 90; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo apt-get  --force-yes -y install gcc-4.9-multilib g++-4.9-multilib; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo apt-get install lshw; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo apt-get install valgrind; fi
  - if [ "$TRAVIS_OS_NAME" = "osx" ]; then brew update; fi
  - if [ "$TRAVIS_OS_NAME" = "osx" ]; then brew install premake; fi

script:
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then clang --version && g++ --version && premake4 gmake && pushd Build/gmake/ && make config=release64 && popd; fi
  - if [ "$TRAVIS_OS_NAME" = "osx" ]; then clang --version && g++ --version && premake4 gmake && pushd Build/gmake/ && make config=debug64 && popd; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then sudo lshw; fi
  - if [ "$TRAVIS_OS_NAME" = "osx" ]; then sudo system_profiler SPHardwareDataType; fi
  - if [ "$TRAVIS_OS_NAME" = "linux" ]; then pushd Bin/ && ./TaskSchedulerTests 3 && popd; fi
  - if [ "$TRAVIS_OS_NAME" = "osx" ]; then pushd Bin/ && ./TaskSchedulerTests 6 && popd; fi




